@import './variables.scss';

*,
*:after,
*:before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  width: 100%;
}

body {
  font-family: 'SF', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #333;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace;
}

.container {
  max-width: 1320px;
  padding: 0 40px;
  margin: 0 auto;
}

.main {
  padding: 88px 0;
}

a {
  text-decoration: none;
  color: inherit;
}

h1 {
  font-size: 24px;
  line-height: 33px;
}

h2 {
  font-size: 24px;
  line-height: 33px;
  font-weight: 400;
}

ul {
  list-style: none;

  li {
    display: flex;
    margin-bottom: 8px;

    &:before {
      content: '';
      display: block;
      margin-right: 16px;
      width: 6px;
      min-width: 6px;
      height: 6px;
      border-radius: 50%;
      background-color: $red;
      margin-top: 12px;
    }
  }
}

ul,
p {
  font-size: 16px;
  line-height: 33px;
}

button {
  background-color: transparent;
  cursor: pointer;
  border: 0;
  font-family: inherit;
  font-size: inherit;
  transition: background-color 0.3s ease-out;

  &:disabled {
    cursor: default;
  }
}

@font-face {
  font-family: 'SF';
  src: url('./assets/fonts/SFUIDisplay-Regular.woff');
  font-style: normal;
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: 'SF';
  src: url('./assets/fonts/SFUIDisplay-Bold.woff');
  font-style: normal;
  font-weight: 700;
  font-display: swap;
}

@font-face {
  font-family: 'SF';
  src: url('./assets/fonts/SFUIDisplay-Ultralight.woff');
  font-style: normal;
  font-weight: 200;
  font-display: swap;
}